## org.apache.mahout.math.hadoop
Class TransposeJob

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.math.hadoop.TransposeJob

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class TransposeJob

extends AbstractJob

TODO: rewrite to use helpful combiner.

Nested Class Summary
`static class` `TransposeJob.TransposeMapper`
`static class` `TransposeJob.TransposeReducer`

Field Summary
`static java.lang.String` `NUM_ROWS_KEY`

Constructor Summary
`TransposeJob()`

Method Summary
`static org.apache.hadoop.mapred.JobConf` `buildTransposeJobConf(org.apache.hadoop.fs.Path matrixInputPath, org.apache.hadoop.fs.Path matrixOutputPath, int numInputRows)`
`static void` `main(java.lang.String[] args)`
`int` `run(java.lang.String[] strings)`

Methods inherited from class org.apache.mahout.common.AbstractJob
`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, getInputPath, getOption, getOutputPath, hasOption, keyFor, maybePut, parseArguments, parseDirectories, prepareJob, shouldRunNextPhase`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Field Detail

### NUM_ROWS_KEY

    public static final java.lang.String NUM_ROWS_KEY

See Also:
  Constant Field Values

Constructor Detail

### TransposeJob

    public TransposeJob()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public int run(java.lang.String[] strings)
            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildTransposeJobConf

    public static org.apache.hadoop.mapred.JobConf buildTransposeJobConf(org.apache.hadoop.fs.Path matrixInputPath,
                                                                         org.apache.hadoop.fs.Path matrixOutputPath,
                                                                         int numInputRows)
                                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.